Respond to contact request
curl --request POST \
--url https://api.wircle.com/v1/contact-requests/{contact_request_id}/respond \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Profile-Id: <x-profile-id>' \
--data '
{
"decision": "accept"
}
'import requests
url = "https://api.wircle.com/v1/contact-requests/{contact_request_id}/respond"
payload = { "decision": "accept" }
headers = {
"X-Profile-Id": "<x-profile-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Profile-Id': '<x-profile-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({decision: 'accept'})
};
fetch('https://api.wircle.com/v1/contact-requests/{contact_request_id}/respond', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"data": {
"contact_request": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"profile_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"requester_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"requester_profile_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"message": "<string>",
"responded_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"requester": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "profile",
"entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"handle": "<string>",
"name": "<string>",
"legal_name_verified": true,
"avatar_url": "<string>",
"dark_avatar_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"requester_profile": {
"id": "<string>",
"username": "<string>",
"type": "human",
"name": "<string>",
"call_name": "<string>",
"legal_name_verified": true,
"occupation": "<string>",
"location": {
"country_code": "<string>",
"country_name": "<string>",
"state_code": "<string>",
"state_name": "<string>",
"city_name": "<string>"
},
"bio": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"media": {
"avatar": {
"light": {
"source_url": "<string>",
"large_url": "<string>",
"medium_url": "<string>",
"small_url": "<string>"
},
"dark": {
"source_url": "<string>",
"large_url": "<string>",
"medium_url": "<string>",
"small_url": "<string>"
}
},
"banner": {
"light": {
"source_url": "<string>",
"large_url": "<string>",
"medium_url": "<string>",
"small_url": "<string>"
},
"dark": {
"source_url": "<string>",
"large_url": "<string>",
"medium_url": "<string>",
"small_url": "<string>"
}
}
}
}
},
"agent": {
"hint": "<string>"
}
}{
"ok": false,
"data": null,
"agent": {
"hint": "<string>"
},
"error_code": "<string>",
"error_message": "<string>"
}{
"ok": false,
"data": null,
"agent": {
"hint": "<string>"
},
"error_code": "<string>",
"error_message": "<string>"
}{
"ok": false,
"data": null,
"agent": {
"hint": "<string>"
},
"error_code": "<string>",
"error_message": "<string>"
}{
"ok": false,
"data": null,
"agent": {
"hint": "<string>"
},
"error_code": "<string>",
"error_message": "<string>"
}{
"ok": false,
"data": null,
"agent": {
"hint": "<string>"
},
"error_code": "<string>",
"error_message": "<string>"
}Contact Requests
Respond to contact request
Accepts or rejects a contact request addressed to a managed profile.
API key requests must include an X-Profile-Id header selecting an attached profile. Required API key scope: contacts:write. Also accepted: contacts:all, all:write, all:all.
POST
/
v1
/
contact-requests
/
{contact_request_id}
/
respond
Respond to contact request
Authorizations
Workspace API key created in Developer → API Keys.
Headers
The workspace profile performing the request. It must be attached to the API key.
Path Parameters
Body
application/json
Available options:
accept Response
Agent Response Protocol success envelope.
Agent Response Protocol success envelope.
Whether the API request completed successfully.
Available options:
true Accepts or rejects a contact request addressed to a managed profile.
Show child attributes
Show child attributes
Wircle-generated context for AI agents. This object may be empty.
Show child attributes
Show child attributes
⌘I